com.streambase.liveview.client

## Class AbstractTable

- java.lang.Object
- - com.streambase.liveview.client.AbstractTable

- All Implemented Interfaces:
    Table

      public abstract class AbstractTable
      extends Object
      implements Table

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.streambase.liveview.client.Table

      `Table.TableGroup, Table.TableStatus`

  - ### Field Summary

    - ### Fields inherited from interface com.streambase.liveview.client.Table

      `CAPABILITIES_FIELD, CAPABILITIES_FOR_FILTERED_TABLES, CEP_TABLES_GROUP, CREATE_TIME, DEFAULT_CAPABILITIES, DESCRIPTION_FIELD, FIELDLIST_FIELD, FILTER, GROUP_FIELD, INDICES_FIELD, IS_ENABLED_FIELD, IS_SYSTEM_TABLE, KEY_FIELDS_CSV, LIVEVIEW_LANGUAGE_ONLY, LV_ALERTS_TABLE, LV_STATS_TABLE, NAME_FIELD, NUM_SERVERS, QUERY_LANGUAGES_FIELD, REJECTED_SERVERS, REQUIRED_CLIENT_CAPABILITIES, SHORT_DESCRIPTION_FIELD, SM_DEFINED, SM_DISCOVERD_AT_START, SM_DYANAMICALLY_ADDED, SM_FILTERED_TABLE_DISCOVERED_AT_START_TIME, SM_FILTERED_TABLE_DYNAMICALLY_ADDED, SM_FILTERED_TABLE_ERROR_PREDICATE_VALIDATION, SM_LOADING, SM_REMOVING, SM_TABLE_CONTAINER_MISSING, STATUS_FIELD, STATUS_MESSAGE_FIELD, SYS_TABLES_GROUP, TABLE_SCHEMA_FIELD, TABLE_SPACE_FIELD, TABLES_TABLE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTable(Schema schema, List<String> keyFieldNames)`
    `AbstractTable(Schema schema, String keyFieldNamesCSV)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Schema.Field>` | `getFields()` Returns the fields describing the table columns.
    `List<Schema.Field>` | `getFields(boolean includeInternal)` Returns the fields describing the table columns.
    `List<Schema.Field>` | `getKeyFields()` Returns the schema which describes the key for the records in this table.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.liveview.client.Table

      `getCreateTime, getDescription, getFilter, getGroup, getIndices, getKeyFieldsCsv, getName, getQueryLanguages, getShortDescription, getTableCapabilities, getTablePublisher, getTablePublisher, getTableSpaceRef, getTableStatus, getTableStatusMessage, getUnmetClientCapabilities, isEnabled, isSystemTable`

- - ### Constructor Detail

    - #### AbstractTable

          public AbstractTable(Schema schema,
                               List<String> keyFieldNames)
                        throws LiveViewException

      Throws:
        `LiveViewException`

    - #### AbstractTable

          public AbstractTable(Schema schema,
                               String keyFieldNamesCSV)
                        throws LiveViewException

      Throws:
        `LiveViewException`

  - ### Method Detail

    - #### getFields

          public List<Schema.Field> getFields()

      Description copied from interface: `Table`
      Returns the fields describing the table columns.
      Specified by:
        `getFields` in interface `Table`
      Returns:
        The fields describing the table columns, not including internal fields

    - #### getFields

          public List<Schema.Field> getFields(boolean includeInternal)

      Description copied from interface: `Table`
      Returns the fields describing the table columns.
      Specified by:
        `getFields` in interface `Table`
      Parameters:
        `includeInternal` - specifies whether to include system internal fields in the list
      Returns:
        The fields describing the table columns

    - #### getKeyFields

          public List<Schema.Field> getKeyFields()

      Description copied from interface: `Table`
      Returns the schema which describes the key for the records in this table. This is the schema that will describe the key values that are avaiilable from the Events which are handed to a QueryListener.
      Specified by:
        `getKeyFields` in interface `Table`
      Returns:
        the schema which describes the key for the records in this table

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.